""" dictlist.py
 Copyright (C) 1998 Aloril
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
"""

#dictionary with list of items, key is items name

def add_value(dict, key, item):
    """add value to list in dictionary using key"""
    try:
        list=dict[key]
        if item not in list:
            list.append(item)
    except KeyError:
        dict[key]=[item]

def remove_value(dict, item, remove_empty_key=1):
    """removes value from dictionary and removes key too if no values
       and if remove_empty_key true"""
    flag=0
    for (key,value) in dict.items():
        if item in value:
            flag=1
            value.remove(item)
            if remove_empty_key and len(value)==0:
                del dict[key]
    return flag
