""" fire.py
 Copyright (C) 1998 Aloril
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
"""

import whrandom
from thing import thing
import const
from event import *
from fire import fire

class house(thing):
    def fire_event(self, e):
        return [event("change",what=self, amount=-0.2*e.amount, target=self)]
    def run_step(self,time,input):
        #input
        output=self.analyse_input(input)
        if output: return output
        #fire (CHEAT!: should use some chance/time)
        if whrandom.randint(0,const.fire_frequency)==0:
            #set fire to house
            f=fire('fire','semilive thing',self,0.0)
            return [event("make",what=f)]
