-*-Python-*-

World:
    have things, current time and list of ids
    add thing: add thing to things list and assign it id
    remove thing: remove it from things list and set its id to illegal_thing
    get_thing_list: return list of things
    event methods:
        make_event: add it to internal list and let others see its creation
        destroy_event: 
            remove it from internal list and let others see its destruction
        undefined_event: pass others unaffected
        analyse_event: set source to current thing if not already defined
    analyse_event, analyse_input: run things through event methods
    new_events: add new events
    every time step:
        for all things: make them older
        make list of targeted events keyed by target
        for all things: 
            run_step with all events that are not targeted or\
                     are targeted at it
            make list events that each thing emitted
        process output events from things:
            run events through analyse_input and \
                add them to list for next timestep

Thing: 
    have id, name, place, status and age
    location is xyz if defined, else its place
    type is things class derivation to root class
    event handling:
        move_event:
            if it is moving into something, use it as place
            else set xyz to target
            generate sight event about movement
        change_event:
            change status by amount:
                if reduced below 0: send destroy event
                else: send sight event about change
        undefined_event: ignore
        analyse_input: go through all events and return result of these
        run_step: analyse_input

Body:
    is thing, have mind, have mind output event handling
    event handling:
        undefined event: return unaffected
    mind_output_event_handling (class mind_events):
        move_event:
            if less than 100m: moves body to target
            else: moves 100m toward target
        make_event:
            see if there is derived class for that thing:
                if yes: then make that
                if no: then make generic thing
            if event has location: create at there
            else: create it into inventory of creator
        change_event:
            set target to same as what is being changed (if not already set)
        undefined_event:
            pass unchanged
    run_step:
        check whether mind should die (and add destroy event if that is case)
        check whether mind should give birth (-"- make -"-)
        analyse_input: 
            now same as thing except for undefined events
            return new event stream
        replace all things with their id in events
        let mind think about events
        replace all ids in output from mind with real things
        analyse events from mind and return analysed event stream


Mind: 
    is thing, have tasks, have current jobs, have things, \
       knows personal,local and common knowledge,\
       have memory, have personal and common goals,\
       have eyes (for handling of sight events)
    fulfill_goals:
        go through goals until found something that requires action:
            do that action
    event handling:
        sight_event:
            if what is event: let eyes handle it
            else: remember place
        destroy_event:
            cleanup
        say_event:
            react to certain strings
            add things to my inventory and to my knowledge
    think(time,input): returns intentions(=events)
        process input and do things if necessary
        try to fulfill goals
    run step(time,input): returns intentions(=events):
        replace all ids in input with real things from memory
        forget old memories
        think what to do
        remember intentions
        if move command has string location:
            look up coordinates from knowledge
        replace all things with their id in events

Eyes:
    handles sight events for mind
    move_event:
        if something is moved to inventory: it\'s mine
        if it\'s inside something: set place to it
        if I have moved to some place that I know by xyz \
           (and it\'s not inside something):
            set place to string describing it
    make_event:
        if I did it: add it to owned things
    change_event:
        update my knowledge about status of thing
    fire_event:
        move to place where fire is
        extinguish it
    destroy_event:
        cleanup

Memory:
    have memories about places and events
    remember:
        put behind ears
    recall:
        recall place:
            list all things that exist in certain radius (currently only houses)
        recall event:
            apply given criteria and return all found events
    forget:
        remove rotten things behind ear (events only)

Event:
    have command, have event source and target, have description, \
         have what command is applied to, have description of previous, \
         have location of event, have description of previous, \
         have amount
    copy itself
    replace things with id: replace all things in events with it\'s id
    replace id with thing: similar to above

Ething:
    have id, name and type

Know:
    knows where things are usually available (place) and \
          knows where some things reside (xyz)

Goal:
    have fulfilled, have subgoals, have time(range)
    check_goal:
        doesn\'t return any value when: 
            if no action (not even waiting) is needed
            goal is fulfilled
            current time range is not in goal time range
        go through subgoals:
            if function or method: evaluate it
            else: recursively evaluate subgoal
            if current subgoal return value (!=None): return it

__str__: print verbose info
__repr__: print short info


dictlist.py:
    dictionary with list of items, key is items name

    add_value(dict, key, item):
        add value to list in dictionary using key

    remove_value(dict, item, remove_empty_key=1):
        removes value from dictionary:
            if remove_empty_key and no values:
                remove key

const.py:
    have several constants pertaining to world

debug:
    keeps history of events and logs them to file too
